# export WANDB_API_KEY="9773fb1d7116d76bf5247003d43d50bcb90fe3d1"
# export WANDB_MODE="offline"
export WANDB_INIT_TIMEOUT="300"
for task in CMO-Swimmer-v2 CMO-Ant-v2 CMO-HalfCheetah-v2  CMO-Swimmer-v2  
#SafetyCarCircle-v0 SafetyBallCircle-v0 SafetyDroneCircle-v0 SafetyPointGoal1Gymnasium-v0 SafetyCarGoal1Gymnasium-v0 SafetyHalfCheetahVelocityGymnasium-v1 SafetyAntVelocityGymnasium-v1
do
    for pref_dim1 in 0.5 0.6 0.7 0.8 0.9 1.0 
    do
        nohup python scripts/generate_CMO_dataset.py --task $task --pref_dim1 $pref_dim1 --seed 2 > logs/${task}_${pref_dim1}.txt &
    done
done
